Loading...
Searching...
No Matches
MolDraw2D.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <Geometry/point.h>`
`#include <Geometry/Transform2D.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/ChemReactions/Reaction.h>`
`#include <GraphMol/MolDraw2D/MolDraw2DHelpers.h>`

Go to the source code of this file.

## Classes

class | RDKit::MolDraw2D
| MolDraw2D is the base class for doing 2D renderings of molecules. More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolDraw2D_detail

## Functions

void | RDKit::setDarkMode (MolDrawOptions &opts)
void | RDKit::setDarkMode (MolDraw2D &d2d)
void | RDKit::setMonochromeMode (MolDrawOptions &opts, const DrawColour &fgColour, const DrawColour &bgColour)
void | RDKit::setMonochromeMode (MolDraw2D &drawer, const DrawColour &fgColour, const DrawColour &bgColour)